

ALTER PROCEDURE ODS_PROJECT_DETAILS (@MOM_DB_NAME NVARCHAR(100))
AS

	SET NOCOUNT ON
	
	DECLARE @ODS_DB_NAME NVARCHAR(100)
	
	SELECT @ODS_DB_NAME = @MOM_DB_NAME+'_ODS'

	EXEC (N' TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW')
	EXEC (N' TRUNCATE TABLE '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITY_INFO')


	IF EXISTS (SELECT 1 FROM 
			ALENT_WORKFLOWPROCESS PROJECT INNER JOIN ALOM_ASSOENTITYFACET AEF 
			ON AEF.RELATIONSHIPTYPEID =  154951847894 AND PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID
			INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
			ON AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = 'PROJECT'
			WHERE NOT EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID ))   
			
	BEGIN			
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW 
		SELECT DISTINCT PROJECT.WORKFLOWPROCESSID,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID PROJECTTYPEID, 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,NULL,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,PROJECT.WORKFLOWPROCESSID,NULL,NULL,WINFO.WORKFLOWCATEGORY,WINFO.WORKFLOWSUBCATEGORY
		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID
		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID
		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID
		WHERE NOT EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID) ')
	
		--2 PROJECT+DELIVERABLES 
		
		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW 
		SELECT DISTINCT DELIVERABLE.WORKFLOWPROCESSID,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,NULL,WINFON1.WORKFLOWCATEGORY,WINFON1.WORKFLOWSUBCATEGORY

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			

		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		--
		INNER JOIN ALOM_ASSOENTITYFACET AEF22 ON AEF22.RELATIONSHIPTYPEID =  154951847894 AND AEF22.ENTITYID = DELIVERABLE.WORKFLOWPROCESSID
		INNER JOIN ALFCT_WORKFLOWINFORMATION WINFON1 ON AEF22.FACETID = WINFON1.WORKFLOWINFORMATIONID
		--
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 
		WHERE NOT EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')

		--3 PROJECT+DELIVERABLES+TASKS
		
		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW
		SELECT DISTINCT TASK.WORKFLOWPROCESSID, 
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		-- TASK
		TASK.WORKFLOWPROCESSUNIQUEID TASKID, TASK.PROCESSNAME TASK_TITLE, ACT_PROJ.SEQUENCENUMBER TASK_SEQ_NO, TASK.STARTDATE TASK_STARTDATE, TASK.DUEDATE TASK_DUEDATE, 
		TASK.ACTUALENDDATE TASK_COMPLETEDON, TASK.STATUS TASK_STATUS, WPINFO_3.PERCENTDONE TASK_PERCENTDONE,WPINFO_3.PROCESSDEFINITIONID, TASK_INITIATOR.USERID TIUSERID, 
		TASK_INITIATOR.LOGINNAME TI_LOGIN,	TASK_INITIATOR.FIRSTNAME TI_FNAME, TASK_INITIATOR.MIDDLEINITIAL TI_MNAME, TASK_INITIATOR.LASTNAME TI_LNAME,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,TASK.WORKFLOWPROCESSID,
		WINFON2.WORKFLOWCATEGORY,WINFON2.WORKFLOWSUBCATEGORY

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			
		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 
		-- TASK
		INNER JOIN  ALOM_ASSEMBLY A5 /* Deliverable_Task */ ON DELIVERABLE.WORKFLOWPROCESSID = A5.CONTAINERID AND A5.RELATIONSHIPTYPEID = 104837164729839
		INNER JOIN ALENT_WORKFLOWPROCESS TASK ON A5.CONTAINSID = TASK.WORKFLOWPROCESSID
		--
		INNER JOIN ALOM_ASSOENTITYFACET AEF22 ON AEF22.RELATIONSHIPTYPEID =  154951847894 AND AEF22.ENTITYID = TASK.WORKFLOWPROCESSID
		INNER JOIN ALFCT_WORKFLOWINFORMATION WINFON2 ON AEF22.FACETID = WINFON2.WORKFLOWINFORMATIONID
		--
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF3 ON TASK.WORKFLOWPROCESSID = AEF3.ENTITYID AND AEF3.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_3 ON AEF3.FACETID = WPINFO_3.WORKFLOWPROCESSINFOID

		LEFT OUTER JOIN (SELECT CONTAINERID,CONTAINSID,RELATIONSHIPTYPEID
				FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 118382844651456
				AND ASSEMBLYID = (SELECT MIN(AS1.ASSEMBLYID) FROM ALOM_ASSEMBLY AS1
				WHERE AS1.CONTAINERID = ALOM_ASSEMBLY.CONTAINERID AND AS1.RELATIONSHIPTYPEID = 118382844651456)) A6
		ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID								
		LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID

		--LEFT OUTER JOIN  ALOM_ASSEMBLY A6 /* TASK_INITIATOR */ ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID AND A6.RELATIONSHIPTYPEID = 118382844651456
		--LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID
		WHERE NOT EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')

		--4 PROJECT+DELIVERABLES+TASKS+STEPS

		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW
		SELECT DISTINCT STEP.ACTIVITYID,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		-- TASK
		TASK.WORKFLOWPROCESSUNIQUEID TASKID, TASK.PROCESSNAME TASK_TITLE, ACT_PROJ.SEQUENCENUMBER TASK_SEQ_NO, TASK.STARTDATE TASK_STARTDATE, TASK.DUEDATE TASK_DUEDATE, 
		TASK.ACTUALENDDATE TASK_COMPLETEDON, TASK.STATUS TASK_STATUS, WPINFO_3.PERCENTDONE TASK_PERCENTDONE,WPINFO_3.PROCESSDEFINITIONID, TASK_INITIATOR.USERID TIUSERID, 
		TASK_INITIATOR.LOGINNAME TI_LOGIN,	TASK_INITIATOR.FIRSTNAME TI_FNAME, TASK_INITIATOR.MIDDLEINITIAL TI_MNAME, TASK_INITIATOR.LASTNAME TI_LNAME,
		--STEP
		STEP.ACTIVITYID STEPID, STEP.ACTIVITYNAME STEPTITLE, STEP.SEQUENCENUMBER STEP_SEQ_NO, STEP.STARTDATE STEP_STARTDATE, STEP.DUEDATE STEP_DUEDATE, 
		STEP.ACTUALENDDATE STEP_COMPLETEDON, STEP.STATUS STEP_STATUS, ACT_INFO.PERCENTDONE STEP_PERCENTDONE,ACT_INFO.ACTIVITYDEFINITIONID, ACT_INFO.SUMMARYVALUE STEP_SUMMARYVALUE, 
		PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,TASK.WORKFLOWPROCESSID,''STEP'',NULL

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			

		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 

		-- TASK
		INNER JOIN  ALOM_ASSEMBLY A5 /* Deliverable_Task */ ON DELIVERABLE.WORKFLOWPROCESSID = A5.CONTAINERID AND A5.RELATIONSHIPTYPEID = 104837164729839
		INNER JOIN ALENT_WORKFLOWPROCESS TASK ON A5.CONTAINSID = TASK.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF3 ON TASK.WORKFLOWPROCESSID = AEF3.ENTITYID AND AEF3.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_3 ON AEF3.FACETID = WPINFO_3.WORKFLOWPROCESSINFOID

		LEFT OUTER JOIN (SELECT CONTAINERID,CONTAINSID,RELATIONSHIPTYPEID
				FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 118382844651456
				AND ASSEMBLYID = (SELECT MIN(AS1.ASSEMBLYID) FROM ALOM_ASSEMBLY AS1
				WHERE AS1.CONTAINERID = ALOM_ASSEMBLY.CONTAINERID AND AS1.RELATIONSHIPTYPEID = 118382844651456)) A6
		ON  TASK.WORKFLOWPROCESSID = A6.CONTAINERID					
		LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID

		--LEFT OUTER JOIN  ALOM_ASSEMBLY A6 /* TASK_INITIATOR */ ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID AND A6.RELATIONSHIPTYPEID = 118382844651456
		--LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID

		--STEP
		INNER JOIN ALOM_ASSEMBLY A22  
		ON A22.RELATIONSHIPTYPEID = 154010190849386 AND TASK.WORKFLOWPROCESSID = A22.CONTAINERID 
		INNER JOIN ALENT_ACTIVITY STEP
		ON 	A22.CONTAINSID = STEP.ACTIVITYID
		AND STEP.STARTACTIVITY = ''FALSE'' AND STEP.ENDACTIVITY = ''FALSE''
		/*
		LEFT OUTER JOIN ALOM_ASSEMBLY A13 ON A13.RELATIONSHIPTYPEID = 202900281682436 AND A13.CONTAINERID = STEP.ACTIVITYID
		LEFT OUTER JOIN ALENT_RESPONSE RESP ON A13.CONTAINSID = RESP.RESPONSEID
		*/
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF4 ON STEP.ACTIVITYID = AEF4.ENTITYID AND AEF4.RELATIONSHIPTYPEID = 79760151954703
		LEFT OUTER JOIN ALFCT_ACTIVITYINFORMATION ACT_INFO ON AEF4.FACETID = ACT_INFO.ACTIVITYINFORMATIONID 
		/*
		LEFT OUTER JOIN  ALOM_ASSEMBLY A8 /* ACTIVITY_CONTRIBUTOR */ ON STEP.ACTIVITYID = A8.CONTAINERID AND A8.RELATIONSHIPTYPEID = 118382844651457
		LEFT OUTER JOIN ALENT_USER STEP_CONTRIBUTOR ON A8.CONTAINSID = STEP_CONTRIBUTOR.USERID
		*/
		WHERE NOT EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')
		--ORDER BY PR_STARTDATE, PR_TITLE, DEL_STARTDATE, DEL_TITLE, TASK_STARTDATE, TASK_SEQ_NO, TASK_TITLE, STEP_STARTDATE, STEP_SEQ_NO, STEPTITLE 
	END
	
	/*	FOR MULTIPLE FISCAL YEARS AS ACTIVITIES ARE ALIGNED  */
	
	IF EXISTS (SELECT 1 FROM 
			ALENT_WORKFLOWPROCESS PROJECT INNER JOIN ALOM_ASSOENTITYFACET AEF 
			ON AEF.RELATIONSHIPTYPEID =  154951847894 AND PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID
			INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
			ON AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = 'PROJECT'
			WHERE EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID )   
			)
	BEGIN			
		EXEC ('INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW 
		SELECT DISTINCT PROJECT.WORKFLOWPROCESSID,
		ALPLAN.PLANID, ALPLAN.TITLE PLAN_TITLE, ALPLAN.STATUS PLAN_STATUS, ALPLAN.FISCALYEAR PLAN_FISCALYEAR, BU.NAME BU_NAME,
		MKT_ACT.NAME ACTIVITYNAME, REPLACE(MKT_ACT.ACTIVITYPATH,''$ALP$'','' >> '')+'' >> ''+MKT_ACT.NAME ACTIVITYPATH,  MKT_ACT.ACTIVITYLEVEL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID PROJECTTYPEID, 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,NULL,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,PROJECT.WORKFLOWPROCESSID,NULL,NULL,WINFO.WORKFLOWCATEGORY,WINFO.WORKFLOWSUBCATEGORY
		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID
		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID
		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID
		INNER JOIN ALOM_ASSEMBLY A11 ON A11.CONTAINSID = PROJECT.WORKFLOWPROCESSID AND A11.RELATIONSHIPTYPEID = 243764143699371 /* MARKETINGACTIVITY_PROJECT */
		INNER JOIN ALENT_MARKETINGACTIVITY MKT_ACT ON MKT_ACT.MARKETINGACTIVITYID = A11.CONTAINERID 
		INNER JOIN  ALOM_ASSEMBLY A10 ON MKT_ACT.MARKETINGACTIVITYID = A10.CONTAINSID AND A10.RELATIONSHIPTYPEID in (38934607864244,198303327217807) /* MARKETING_ACTIVITIES_FOR_PLAN */
		INNER JOIN ALENT_PLAN ALPLAN ON A10.CONTAINERID = ALPLAN.PLANID
		INNER JOIN ALOM_ASSEMBLY A12 /* Plan-BU */ ON ALPLAN.PLANID = A12.CONTAINERID AND A12.RELATIONSHIPTYPEID = 141014623932230
		INNER JOIN ALENT_BUSINESSUNIT BU ON A12.CONTAINSID = BU.BUSINESSUNITID 
		WHERE 
		EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID )
		AND 						
		ALPLAN.FISCALYEAR =  (SELECT MAX(P1.FISCALYEAR) FROM
				ALENT_PLAN P1 INNER JOIN ALOM_ASSEMBLY A1
				ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND P1.PLANID = A1.CONTAINERID
				INNER JOIN ALENT_MARKETINGACTIVITY MA
				ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
				INNER JOIN ALOM_ASSEMBLY A2 
				ON A2.RELATIONSHIPTYPEID = 243764143699371 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
				AND A2.CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')
				
		
		--2 PROJECT+DELIVERABLES 
		
		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW 
		SELECT DISTINCT DELIVERABLE.WORKFLOWPROCESSID,
		ALPLAN.PLANID, ALPLAN.TITLE PLAN_TITLE, ALPLAN.STATUS PLAN_STATUS, ALPLAN.FISCALYEAR PLAN_FISCALYEAR, BU.NAME BU_NAME,
		MKT_ACT.NAME ACTIVITYNAME, REPLACE(MKT_ACT.ACTIVITYPATH,''$ALP$'','' >> '')+'' >> ''+MKT_ACT.NAME ACTIVITYPATH,  MKT_ACT.ACTIVITYLEVEL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,
		PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,NULL,WINFON1.WORKFLOWCATEGORY,WINFON1.WORKFLOWSUBCATEGORY

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			

		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		--
		INNER JOIN ALOM_ASSOENTITYFACET AEF22 ON AEF22.RELATIONSHIPTYPEID =  154951847894 AND AEF22.ENTITYID = DELIVERABLE.WORKFLOWPROCESSID
		INNER JOIN ALFCT_WORKFLOWINFORMATION WINFON1 ON AEF22.FACETID = WINFON1.WORKFLOWINFORMATIONID
		--
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 

		INNER JOIN ALOM_ASSEMBLY A11 ON A11.CONTAINSID = PROJECT.WORKFLOWPROCESSID AND A11.RELATIONSHIPTYPEID = 243764143699371 /* MARKETINGACTIVITY_PROJECT */
		INNER JOIN ALENT_MARKETINGACTIVITY MKT_ACT ON MKT_ACT.MARKETINGACTIVITYID = A11.CONTAINERID 
		INNER JOIN  ALOM_ASSEMBLY A10 ON MKT_ACT.MARKETINGACTIVITYID = A10.CONTAINSID AND A10.RELATIONSHIPTYPEID in (38934607864244,198303327217807) /* MARKETING_ACTIVITIES_FOR_PLAN */
		INNER JOIN ALENT_PLAN ALPLAN ON A10.CONTAINERID = ALPLAN.PLANID
		INNER JOIN ALOM_ASSEMBLY A12 /* Plan-BU */ ON ALPLAN.PLANID = A12.CONTAINERID AND A12.RELATIONSHIPTYPEID = 141014623932230
		INNER JOIN ALENT_BUSINESSUNIT BU ON A12.CONTAINSID = BU.BUSINESSUNITID 
		WHERE 
		EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID )
		AND 						
		ALPLAN.FISCALYEAR =  (SELECT MAX(P1.FISCALYEAR) FROM
				ALENT_PLAN P1 INNER JOIN ALOM_ASSEMBLY A1
				ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND P1.PLANID = A1.CONTAINERID
				INNER JOIN ALENT_MARKETINGACTIVITY MA
				ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
				INNER JOIN ALOM_ASSEMBLY A2 
				ON A2.RELATIONSHIPTYPEID = 243764143699371 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
				AND A2.CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')
				

		--3 PROJECT+DELIVERABLES+TASKS
		
		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW
		SELECT DISTINCT TASK.WORKFLOWPROCESSID, 
		ALPLAN.PLANID, ALPLAN.TITLE PLAN_TITLE, ALPLAN.STATUS PLAN_STATUS, ALPLAN.FISCALYEAR PLAN_FISCALYEAR, BU.NAME BU_NAME,
		MKT_ACT.NAME ACTIVITYNAME, REPLACE(MKT_ACT.ACTIVITYPATH,''$ALP$'','' >> '')+'' >> ''+MKT_ACT.NAME ACTIVITYPATH,  MKT_ACT.ACTIVITYLEVEL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		-- TASK
		TASK.WORKFLOWPROCESSUNIQUEID TASKID, TASK.PROCESSNAME TASK_TITLE, ACT_PROJ.SEQUENCENUMBER TASK_SEQ_NO, TASK.STARTDATE TASK_STARTDATE, TASK.DUEDATE TASK_DUEDATE, 
		TASK.ACTUALENDDATE TASK_COMPLETEDON, TASK.STATUS TASK_STATUS, WPINFO_3.PERCENTDONE TASK_PERCENTDONE,WPINFO_3.PROCESSDEFINITIONID, TASK_INITIATOR.USERID TIUSERID, 
		TASK_INITIATOR.LOGINNAME TI_LOGIN,	TASK_INITIATOR.FIRSTNAME TI_FNAME, TASK_INITIATOR.MIDDLEINITIAL TI_MNAME, TASK_INITIATOR.LASTNAME TI_LNAME,
		NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,TASK.WORKFLOWPROCESSID,
		WINFON2.WORKFLOWCATEGORY,WINFON2.WORKFLOWSUBCATEGORY

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			
		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 

		-- TASK
		INNER JOIN  ALOM_ASSEMBLY A5 /* Deliverable_Task */ ON DELIVERABLE.WORKFLOWPROCESSID = A5.CONTAINERID AND A5.RELATIONSHIPTYPEID = 104837164729839
		INNER JOIN ALENT_WORKFLOWPROCESS TASK ON A5.CONTAINSID = TASK.WORKFLOWPROCESSID
		--
		INNER JOIN ALOM_ASSOENTITYFACET AEF22 ON AEF22.RELATIONSHIPTYPEID =  154951847894 AND AEF22.ENTITYID = TASK.WORKFLOWPROCESSID
		INNER JOIN ALFCT_WORKFLOWINFORMATION WINFON2 ON AEF22.FACETID = WINFON2.WORKFLOWINFORMATIONID
		--
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF3 ON TASK.WORKFLOWPROCESSID = AEF3.ENTITYID AND AEF3.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_3 ON AEF3.FACETID = WPINFO_3.WORKFLOWPROCESSINFOID

		LEFT OUTER JOIN (SELECT CONTAINERID,CONTAINSID,RELATIONSHIPTYPEID
				FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 118382844651456
				AND ASSEMBLYID = (SELECT MIN(AS1.ASSEMBLYID) FROM ALOM_ASSEMBLY AS1
				WHERE AS1.CONTAINERID = ALOM_ASSEMBLY.CONTAINERID AND AS1.RELATIONSHIPTYPEID = 118382844651456)) A6
		ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID								
		LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID


		--LEFT OUTER JOIN  ALOM_ASSEMBLY A6 /* TASK_INITIATOR */ ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID AND A6.RELATIONSHIPTYPEID = 118382844651456
		--LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID

		INNER JOIN ALOM_ASSEMBLY A11 ON A11.CONTAINSID = PROJECT.WORKFLOWPROCESSID AND A11.RELATIONSHIPTYPEID = 243764143699371 /* MARKETINGACTIVITY_PROJECT */
		INNER JOIN ALENT_MARKETINGACTIVITY MKT_ACT ON MKT_ACT.MARKETINGACTIVITYID = A11.CONTAINERID 
		INNER JOIN  ALOM_ASSEMBLY A10 ON MKT_ACT.MARKETINGACTIVITYID = A10.CONTAINSID AND A10.RELATIONSHIPTYPEID in (38934607864244,198303327217807) /* MARKETING_ACTIVITIES_FOR_PLAN */
		INNER JOIN ALENT_PLAN ALPLAN ON A10.CONTAINERID = ALPLAN.PLANID
		INNER JOIN ALOM_ASSEMBLY A12 /* Plan-BU */ ON ALPLAN.PLANID = A12.CONTAINERID AND A12.RELATIONSHIPTYPEID = 141014623932230
		INNER JOIN ALENT_BUSINESSUNIT BU ON A12.CONTAINSID = BU.BUSINESSUNITID 
		WHERE 
		EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID )
		AND						
		ALPLAN.FISCALYEAR =  (SELECT MAX(P1.FISCALYEAR) FROM
				ALENT_PLAN P1 INNER JOIN ALOM_ASSEMBLY A1
				ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND P1.PLANID = A1.CONTAINERID
				INNER JOIN ALENT_MARKETINGACTIVITY MA
				ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
				INNER JOIN ALOM_ASSEMBLY A2 
				ON A2.RELATIONSHIPTYPEID = 243764143699371 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
				AND A2.CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')

		--4 PROJECT+DELIVERABLES+TASKS+STEPS

		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODSWORKFLOW
		SELECT DISTINCT STEP.ACTIVITYID,
		ALPLAN.PLANID, ALPLAN.TITLE PLAN_TITLE, ALPLAN.STATUS PLAN_STATUS, ALPLAN.FISCALYEAR PLAN_FISCALYEAR, BU.NAME BU_NAME,
		MKT_ACT.NAME ACTIVITYNAME, REPLACE(MKT_ACT.ACTIVITYPATH,''$ALP$'','' >> '')+'' >> ''+MKT_ACT.NAME ACTIVITYPATH,  MKT_ACT.ACTIVITYLEVEL,
		PROJECT.WORKFLOWPROCESSUNIQUEID PROJECTID, PROJECT.PROCESSNAME PR_TITLE, PROJECT.STARTDATE PR_STARTDATE, PROJECT.DUEDATE PR_DUEDATE, 
		PROJECT.ACTUALENDDATE PR_COMPLETEDON, PROJECT.STATUS PR_STATUS, WPINFO_1.PERCENTDONE PR_PERCENTDONE, WPINFO_1.PROCESSDEFINITIONID , 
		PM.USERID PMUSERID, PM.LOGINNAME PM_LOGIN, PM.FIRSTNAME PM_FNAME, PM.MIDDLEINITIAL PM_MNAME, PM.LASTNAME PM_LNAME,
		APM.USERID APMUSERID, APM.LOGINNAME APM_LOGIN, APM.FIRSTNAME APM_FNAME, APM.MIDDLEINITIAL APM_MNAME, APM.LASTNAME APM_LNAME,
		--DELIVERABLE
		DELIVERABLE.WORKFLOWPROCESSUNIQUEID DELIVERABLEID, DELIVERABLE.PROCESSNAME DEL_TITLE, DELIVERABLE.STARTDATE DEL_STARTDATE, DELIVERABLE.DUEDATE DEL_DUEDATE,
		DELIVERABLE.ACTUALENDDATE DEL_COMPLETEDON, DELIVERABLE.STATUS DEL_STATUS, WPINFO_2.PERCENTDONE DEL_PERCENTDONE,WPINFO_2.PROCESSDEFINITIONID,  
		DEL_MGR.USERID DMUSERID, DEL_MGR.LOGINNAME DM_LOGIN, DEL_MGR.FIRSTNAME DM_FNAME, DEL_MGR.MIDDLEINITIAL DM_MNAME, DEL_MGR.LASTNAME DM_LNAME,
		-- TASK
		TASK.WORKFLOWPROCESSUNIQUEID TASKID, TASK.PROCESSNAME TASK_TITLE, ACT_PROJ.SEQUENCENUMBER TASK_SEQ_NO, TASK.STARTDATE TASK_STARTDATE, TASK.DUEDATE TASK_DUEDATE, 
		TASK.ACTUALENDDATE TASK_COMPLETEDON, TASK.STATUS TASK_STATUS, WPINFO_3.PERCENTDONE TASK_PERCENTDONE,WPINFO_3.PROCESSDEFINITIONID, TASK_INITIATOR.USERID TIUSERID, 
		TASK_INITIATOR.LOGINNAME TI_LOGIN,	TASK_INITIATOR.FIRSTNAME TI_FNAME, TASK_INITIATOR.MIDDLEINITIAL TI_MNAME, TASK_INITIATOR.LASTNAME TI_LNAME,
		--STEP
		STEP.ACTIVITYID STEPID, STEP.ACTIVITYNAME STEPTITLE, STEP.SEQUENCENUMBER STEP_SEQ_NO, STEP.STARTDATE STEP_STARTDATE, STEP.DUEDATE STEP_DUEDATE, 
		STEP.ACTUALENDDATE STEP_COMPLETEDON, STEP.STATUS STEP_STATUS, ACT_INFO.PERCENTDONE STEP_PERCENTDONE,ACT_INFO.ACTIVITYDEFINITIONID, ACT_INFO.SUMMARYVALUE STEP_SUMMARYVALUE, 
		PROJECT.WORKFLOWPROCESSID,DELIVERABLE.WORKFLOWPROCESSID,TASK.WORKFLOWPROCESSID,''STEP'',NULL

		FROM  ALENT_WORKFLOWPROCESS PROJECT 
		INNER JOIN ALOM_ASSOENTITYFACET AEF INNER JOIN ALFCT_WORKFLOWINFORMATION WINFO 
		ON ( AEF.RELATIONSHIPTYPEID =  154951847894 AND AEF.FACETID = WINFO.WORKFLOWINFORMATIONID AND WINFO.WORKFLOWCATEGORY = ''PROJECT'')
		ON PROJECT.WORKFLOWPROCESSID = AEF.ENTITYID  
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF1 INNER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_1 
		ON AEF1.RELATIONSHIPTYPEID = 109574871933848 AND AEF1.FACETID = WPINFO_1.WORKFLOWPROCESSINFOID
		ON PROJECT.WORKFLOWPROCESSID = AEF1.ENTITYID

		LEFT OUTER JOIN ALOM_ASSEMBLY A1 /* ProjectManager */ INNER JOIN ALENT_USER PM 
		ON A1.RELATIONSHIPTYPEID = 1549518477 AND A1.CONTAINSID = PM.USERID
		ON PROJECT.WORKFLOWPROCESSID = A1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY ASM1 /* ActingProjectManager */ INNER JOIN ALENT_USER APM 
		ON ASM1.RELATIONSHIPTYPEID = 1549518478 AND ASM1.CONTAINSID = APM.USERID 
		ON PROJECT.WORKFLOWPROCESSID = ASM1.CONTAINERID

		LEFT OUTER JOIN ALOM_ASSEMBLY A21 INNER JOIN ALENT_ACTIVITY ACT_PROJ 
			ON A21.RELATIONSHIPTYPEID = 154010190849386 AND A21.CONTAINSID = ACT_PROJ.ACTIVITYID 
				AND STARTACTIVITY = ''FALSE'' AND ENDACTIVITY = ''FALSE''
		ON PROJECT.WORKFLOWPROCESSID = A21.CONTAINERID			

		-- DELIVERABLE
		INNER JOIN ALOM_ASSEMBLY A2 /* Deliverable */ ON ACT_PROJ.ACTIVITYID = A2.CONTAINERID AND A2.RELATIONSHIPTYPEID = 181099347959840
		INNER JOIN ALENT_WORKFLOWPROCESS DELIVERABLE ON A2.CONTAINSID = DELIVERABLE.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF2 ON DELIVERABLE.WORKFLOWPROCESSID = AEF2.ENTITYID AND AEF2.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_2 ON AEF2.FACETID = WPINFO_2.WORKFLOWPROCESSINFOID
		LEFT OUTER JOIN  ALOM_ASSEMBLY A4 /* DELIVERABLE_MGR */	ON DELIVERABLE.WORKFLOWPROCESSID = A4.CONTAINERID AND A4.RELATIONSHIPTYPEID = 224755037807667
		LEFT OUTER JOIN ALENT_USER DEL_MGR ON A4.CONTAINSID = DEL_MGR.USERID 

		-- TASK
		INNER JOIN  ALOM_ASSEMBLY A5 /* Deliverable_Task */ ON DELIVERABLE.WORKFLOWPROCESSID = A5.CONTAINERID AND A5.RELATIONSHIPTYPEID = 104837164729839
		INNER JOIN ALENT_WORKFLOWPROCESS TASK ON A5.CONTAINSID = TASK.WORKFLOWPROCESSID
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF3 ON TASK.WORKFLOWPROCESSID = AEF3.ENTITYID AND AEF3.RELATIONSHIPTYPEID = 109574871933848
		LEFT OUTER JOIN ALFCT_WORKFLOWPROCESSINFO WPINFO_3 ON AEF3.FACETID = WPINFO_3.WORKFLOWPROCESSINFOID

		LEFT OUTER JOIN (SELECT CONTAINERID,CONTAINSID,RELATIONSHIPTYPEID
				FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 118382844651456
				AND ASSEMBLYID = (SELECT MIN(AS1.ASSEMBLYID) FROM ALOM_ASSEMBLY AS1
				WHERE AS1.CONTAINERID = ALOM_ASSEMBLY.CONTAINERID AND AS1.RELATIONSHIPTYPEID = 118382844651456)) A6
		ON  TASK.WORKFLOWPROCESSID = A6.CONTAINERID					
		LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID


		--LEFT OUTER JOIN  ALOM_ASSEMBLY A6 /* TASK_INITIATOR */ ON TASK.WORKFLOWPROCESSID = A6.CONTAINERID AND A6.RELATIONSHIPTYPEID = 118382844651456
		--LEFT OUTER JOIN ALENT_USER TASK_INITIATOR ON A6.CONTAINSID = TASK_INITIATOR.USERID

		--STEP
		INNER JOIN ALOM_ASSEMBLY A22  
		ON A22.RELATIONSHIPTYPEID = 154010190849386 AND TASK.WORKFLOWPROCESSID = A22.CONTAINERID 
		INNER JOIN ALENT_ACTIVITY STEP
		ON 	A22.CONTAINSID = STEP.ACTIVITYID
		AND STEP.STARTACTIVITY = ''FALSE'' AND STEP.ENDACTIVITY = ''FALSE''
		/*
		LEFT OUTER JOIN ALOM_ASSEMBLY A13 ON A13.RELATIONSHIPTYPEID = 202900281682436 AND A13.CONTAINERID = STEP.ACTIVITYID
		LEFT OUTER JOIN ALENT_RESPONSE RESP ON A13.CONTAINSID = RESP.RESPONSEID
		*/
		LEFT OUTER JOIN ALOM_ASSOENTITYFACET AEF4 ON STEP.ACTIVITYID = AEF4.ENTITYID AND AEF4.RELATIONSHIPTYPEID = 79760151954703
		LEFT OUTER JOIN ALFCT_ACTIVITYINFORMATION ACT_INFO ON AEF4.FACETID = ACT_INFO.ACTIVITYINFORMATIONID 
		/*
		LEFT OUTER JOIN  ALOM_ASSEMBLY A8 /* ACTIVITY_CONTRIBUTOR */ ON STEP.ACTIVITYID = A8.CONTAINERID AND A8.RELATIONSHIPTYPEID = 118382844651457
		LEFT OUTER JOIN ALENT_USER STEP_CONTRIBUTOR ON A8.CONTAINSID = STEP_CONTRIBUTOR.USERID
		*/
		-- 
		INNER JOIN ALOM_ASSEMBLY A11 ON A11.CONTAINSID = PROJECT.WORKFLOWPROCESSID AND A11.RELATIONSHIPTYPEID = 243764143699371 /* MARKETINGACTIVITY_PROJECT */
		INNER JOIN ALENT_MARKETINGACTIVITY MKT_ACT ON MKT_ACT.MARKETINGACTIVITYID = A11.CONTAINERID 
		INNER JOIN  ALOM_ASSEMBLY A10 ON MKT_ACT.MARKETINGACTIVITYID = A10.CONTAINSID AND A10.RELATIONSHIPTYPEID in (38934607864244,198303327217807) /* MARKETING_ACTIVITIES_FOR_PLAN */
		INNER JOIN ALENT_PLAN ALPLAN ON A10.CONTAINERID = ALPLAN.PLANID
		INNER JOIN ALOM_ASSEMBLY A12 /* Plan-BU */ ON ALPLAN.PLANID = A12.CONTAINERID AND A12.RELATIONSHIPTYPEID = 141014623932230
		INNER JOIN ALENT_BUSINESSUNIT BU ON A12.CONTAINSID = BU.BUSINESSUNITID 
		WHERE 
		EXISTS (SELECT CONTAINSID FROM ALOM_ASSEMBLY WHERE RELATIONSHIPTYPEID = 243764143699371
						AND CONTAINSID = PROJECT.WORKFLOWPROCESSID )
		AND						
		ALPLAN.FISCALYEAR =  (SELECT MAX(P1.FISCALYEAR) FROM
				ALENT_PLAN P1 INNER JOIN ALOM_ASSEMBLY A1
				ON A1.RELATIONSHIPTYPEID IN (38934607864244,198303327217807) AND P1.PLANID = A1.CONTAINERID
				INNER JOIN ALENT_MARKETINGACTIVITY MA
				ON A1.CONTAINSID = MA.MARKETINGACTIVITYID
				INNER JOIN ALOM_ASSEMBLY A2 
				ON A2.RELATIONSHIPTYPEID = 243764143699371 AND A2.CONTAINERID = MA.MARKETINGACTIVITYID
				AND A2.CONTAINSID = PROJECT.WORKFLOWPROCESSID ) ')
				
		--ORDER BY PR_STARTDATE, PR_TITLE, DEL_STARTDATE, DEL_TITLE, TASK_STARTDATE, TASK_SEQ_NO, TASK_TITLE, STEP_STARTDATE, STEP_SEQ_NO, STEPTITLE 				
	END		
		
				
		EXEC (N'INSERT INTO  '+@ODS_DB_NAME+'.DBO.'+'ALENT_ODS_ACTIVITY_INFO 
		(ACTIVITY_ID,CUSERID,CLOGINNAME,CFNAME,CMNAME,CLNAME,CRESPONSE_ID,CRESPONSE_TEXT,CRESPONSE_POSTEDON)
		SELECT ACTIVITY.ACTIVITYID,USER1.USERID,USER1.LOGINNAME CLOGINNAME, USER1.FIRSTNAME CFNAME, USER1.MIDDLEINITIAL CMNAME, USER1.LASTNAME ,
		RESP.RESPONSEID, RESP.RESPONSETEXT , RESP.RESPONSEPOSTEDON
		FROM
		ALENT_ACTIVITY ACTIVITY  LEFT OUTER JOIN ALOM_ASSEMBLY A1
		ON A1.RELATIONSHIPTYPEID = 118382844651457 AND ACTIVITY.ACTIVITYID = A1.CONTAINERID
		LEFT OUTER JOIN ALENT_USER USER1
		ON A1.CONTAINSID = USER1.USERID
		LEFT OUTER JOIN ALOM_ASSEMBLY A2
		ON A2.RELATIONSHIPTYPEID = 202900281682436 AND A2.CONTAINERID = ACTIVITY.ACTIVITYID
		LEFT OUTER JOIN ALENT_RESPONSE RESP
		ON A2.CONTAINSID = RESP.RESPONSEID ')
	
GO
